# Create Lead

{% hint style="info" %}
Please read the [https://github.com/lavanda-uk/nimbus/blob/main/docs/legacy/README.md](https://github.com/lavanda-uk/nimbus/blob/main/docs/legacy/README.md "mention")
{% endhint %}

## Create Site Lead

<mark style="color:green;">`POST`</mark> `https://direct-bookings-website-api.lavanda.app/api/v2/inquiries`

#### Query Parameters

| Name                                                               | Type   | Description                                                            |
| ------------------------------------------------------------------ | ------ | ---------------------------------------------------------------------- |
| X-Hanami-Direct-Bookings-Site-Id<mark style="color:red;">\*</mark> | String | The site code. This can be obtained via contacting the onboarding team |

#### Headers

| Name                                      | Type   | Description                                                                                                                              |
| ----------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------- |
| Origin<mark style="color:red;">\*</mark>  | String | The hostname of the site sending the lead. <https://www.example.com>                                                                     |
| Referer<mark style="color:red;">\*</mark> | String | The full page url (including query parameters) of the page sending the lead. This is useful when utm parameters or Google Ads were added |

#### Request Body

| Name                                                 | Type       | Description                                                              |
| ---------------------------------------------------- | ---------- | ------------------------------------------------------------------------ |
| checkIn                                              | YYYY-MM-DD |                                                                          |
| checkOut                                             | YYYY-MM-DD |                                                                          |
| contactEmail<mark style="color:red;">\*</mark>       | String     |                                                                          |
| contactFirstName<mark style="color:red;">\*</mark>   | String     |                                                                          |
| contactLastName<mark style="color:red;">\*</mark>    | String     |                                                                          |
| contactPhoneNumber<mark style="color:red;">\*</mark> | String     |                                                                          |
| telephoneCountryCode                                 | String     |                                                                          |
| gdprConsent<mark style="color:red;">\*</mark>        | Boolean    |                                                                          |
| marketingOptIn<mark style="color:red;">\*</mark>     | Boolean    |                                                                          |
| notes<mark style="color:red;">\*</mark>              | String     |                                                                          |
| numberOfAdults                                       | Integer    |                                                                          |
| numberOfKids                                         | Integer    |                                                                          |
| propertyId                                           | Integer    | The building or unit id. Contact the onboarding team for the building id |
| browserLanguage<mark style="color:red;">\*</mark>    | String     | The value from `navigator.language` such as `en-us`                      |
| source                                               | String     |                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lavanda.app/legacy/create-lead.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
